{% extends "base.html" %}
{% load i18n staticfiles %}

{% block head %}
{{ wizard.form.media }}
{% endblock %}

{% block extra_head %}
<style type="text/css">
  input[name="school"] {
    width: 100%;
  }
</style>
{% endblock %}

{% block jumbotron_content %}
  {% if wizard.form.errors %}
    <div class="alert alert-danger alert-dismissible" role="alert">
      <button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">&times;</span></button>
      <strong>Ошибка</strong> при заполнении этого шага
    </div>
  {% endif %}
<div class="progress">
  <div class="progress-bar" role="progressbar" aria-valuenow="45" aria-valuemin="0" aria-valuemax="100" style="width: 45%;">
        45%
  </div>
</div>
  <h1>Шаг 6: "...и другие увлечения"</h1>
  <p>Вы были на других школах? И как там?</p>
{% endblock %}


{% block main_content %}
<div class="col-lg-8">
  <h2>Укажите выездные мероприятия, на которых вы раньше были.</h2>
  <p>Не больше трёх, желательно.</p>
    <table class="table" id="tblSchools">
      <colgroup>
        <col width="80%">
        <col width="10%">
        <col width="10%">
      </colgroup>
    <thead>
    <form id="formSchools">
      <tr>
        <th>Мероприятие</th>
        <th>Год</th>
        <th></th>
      </tr>
      <tr>
        <th>
          <input type="text" required="required" name="school" placeholder="Наполненные опушки: тонущая землеройка возвращается" />
        </th>
        <th>
          <select name="year">
            <option value="2000">2000</option>
            <option value="2001">2001</option>
            <option value="2002">2002</option>
            <option value="2003">2003</option>
            <option value="2004">2004</option>
            <option value="2005">2005</option>
            <option value="2006">2006</option>
            <option value="2007">2007</option>
            <option value="2008">2008</option>
            <option value="2009">2009</option>
            <option value="2010">2010</option>
            <option value="2011">2011</option>
            <option value="2012">2012</option>
            <option value="2013">2013</option>
            <option value="2014">2014</option>
            <option value="2015">2015</option>
            <option value="2016">2016</option>
            <option value="2017">2017</option>
            <option value="2018">2018</option>
            <option value="2019">2019</option>
            <option value="2020">2020</option>
          </select>
        </th>
        <th>
          <a class="btn btn-primary btn-xs" disabled href="#" id="btnAddEntry">
            Добавить запись
          </a>
        </th>
      </tr>
    </form>
    </thead>
    <tbody>
    </tbody>
    </table>
</div>

<div class="col-lg-4">
<form action="" method="post" class="form-horizontal" id="wizard_form">{% csrf_token %}
{{ wizard.management_form }}
{{ wizard.form.as_ul }}

{% include "intake/wizard/_navigation.html" %}
</form>
</div>
{% endblock %}

{% block scripts %}
  {{ block.super }}
  <script src="{% static 'js/jquery.tmpl.js' %}"></script>
  <script src="{% static 'js/jquery-serialization.js' %}"></script>
  <script src="{% static 'js/jquery.tabletojson.min.js' %}"></script>
  <script src="http://ajax.aspnetcdn.com/ajax/jquery.validate/1.13.1/jquery.validate.min.js"></script>

<script id="schoolRow" type="text/x-jQuery-tmpl">
<tr>
<td>${school}</td>
<td class="text-center">${year}</td>
<td><a class="btn btn-danger btn-xs deleteRow" href="#">Удалить запись</a></td>
</tr>
</script>

<script>
$(function() {
  {#$('form#formSchools').validate();#}
  $('#wizard_form').submit(function() {
    // need to populate the hidden schools field before submission

    // ignore the button column, ignore the first row
    var table = $('#tblSchools').tableToJSON({ignoreColumns: [2]}).splice(1);

    if (table.length == 0) {
      console.log("Oh-Oh, byatch!");
      return false;
    }

    var inp = $('input[name="otherschools-other_schools"]');

    inp.val(table);
    console.log("I'm here, byatch!");

    return true;
  });
});
</script>

<script>
$('input[name="school"]').change(function() {
  // possibly better to change it to keyup
  if ($('input[name="school"]').val() != "") {
    $("#btnAddEntry").removeAttr("disabled");
  } else {
    $("#btnAddEntry").attr("disabled", "disabled");
  }
});

$('#btnAddEntry').click(function(evt) {
  evt.preventDefault();
  var entry = $('#formSchools').toObject();
  $('#schoolRow').tmpl(entry).appendTo($('#tblSchools tbody'));
  $('input[name="school"]').val("");
  $("#btnAddEntry").attr("disabled", "disabled");
});

$('#tblSchools tbody').on('click', '.deleteRow', function(evt) {
    evt.preventDefault();
    $(evt.target).parents('tr').remove();
});
</script>
{% endblock scripts %}


